backend:
  name: gitea
  repo: scadmin/seans-cloud            # <owner>/<repo>
  branch: main
  app_id: "607244b1-2313-478b-bd25-40b224c66617"
  base_url: "https://git.seans.cloud"  # or https://<tailscale-name>:3000
  api_root: "https://git.seans.cloud/api/v1"
  auth_endpoint: "https://git.seans.cloud/login/oauth/authorize"

site_url: "https://seans.cloud"

media_folder: "src/assets/images/uploads"
public_folder: "/src/assets/images/uploads"

collections:
  - name: "blog"
    label: "Blog"
    folder: "src/content/blog"
    create: true
    slug: "{{slug}}"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Publish Date", name: "date", widget: "datetime" }
      - { label: "Description", name: "description", widget: "text", required: false }
      - { label: "Draft", name: "draft", widget: "boolean", default: false, required: false }
      - { label: "Body", name: "body", widget: "markdown" }
